org.custommonkey.xmlunit.util

## Class IntegerBuffer

- java.lang.Object
- - org.custommonkey.xmlunit.util.IntegerBuffer

    public class IntegerBuffer
    extends java.lang.Object

Simplistic dynamically growing buffer of integers used by DoctypeSupport.

No attempt has been made to make this class thread-safe at all. The append methods and indexOf are not too efficient either, but work for what we need.

### Constructor Summary

Constructors
Constructor and Description
`IntegerBuffer()` Creates a new buffer.
`IntegerBuffer(int capacity)` Creates a new buffer with the given initial capacity.

### Method Summary

Methods
`void` `append(int i)` Appends a single int.
`void` `append(int[] i)` Appends an array of ints.
`int` `capacity()` Returns the current capacity (the size the buffer can use before it needs to grow).
`int` `indexOf(int[] sequence)` finds sequence in current buffer.
`int` `size()` Returns the current size.
`int[]` `toIntArray()` Returns an arry view of this buffer's content.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntegerBuffer

    public IntegerBuffer()

Creates a new buffer.

#### IntegerBuffer

    public IntegerBuffer(int capacity)

Creates a new buffer with the given initial capacity.

### Method Detail

#### size

    public int size()

Returns the current size.

#### capacity

    public int capacity()

Returns the current capacity (the size the buffer can use before it needs to grow).

#### append

    public void append(int i)

Appends a single int.

#### append

    public void append(int[] i)

Appends an array of ints.

#### toIntArray

    public int[] toIntArray()

Returns an arry view of this buffer's content.

#### indexOf

    public int indexOf(int[] sequence)

finds sequence in current buffer.

Returns:
  index of sequence or -1 if not found